Save This Page
Home » apache-tomcat-6.0.16-src » org.apache » catalina » connector » [javadoc | source]
org.apache.catalina.connector
public class: CoyoteAdapter [javadoc | source]
java.lang.Object
   org.apache.catalina.connector.CoyoteAdapter

All Implemented Interfaces:
    Adapter

Implementation of a request processor which delegates the processing to a Coyote processor.
Field Summary
public static final  int ADAPTER_NOTES     
protected static final  boolean ALLOW_BACKSLASH     
protected  StringManager sm    The string manager for this package. 
protected static  URLEncoder urlEncoder    Encoder for the Location URL in HTTP redirects. 
Constructor:
 public CoyoteAdapter(Connector connector) 
    Construct a new CoyoteProcessor associated with the specified connector.
    Parameters:
    connector - CoyoteConnector that owns this processor
Method from org.apache.catalina.connector.CoyoteAdapter Summary:
convertMB,   convertURI,   copyBytes,   event,   normalize,   parseSessionCookiesId,   parseSessionId,   postParseRequest,   service
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.catalina.connector.CoyoteAdapter Detail:
 protected  void convertMB(MessageBytes mb) 
    Character conversion of the a US-ASCII MessageBytes.
 protected  void convertURI(MessageBytes uri,
    Request request) throws Exception 
    Character conversion of the URI.
 protected static  void copyBytes(byte[] b,
    int dest,
    int src,
    int len) 
    Copy an array of bytes to a different position. Used during normalization.
 public boolean event(Request req,
    Response res,
    SocketStatus status) 
    Event method.
 public static boolean normalize(MessageBytes uriMB) 
    Normalize URI.

    This method normalizes "\", "//", "/./" and "/../". This method will return false when trying to go above the root, or if the URI contains a null byte.

 protected  void parseSessionCookiesId(Request req,
    Request request) 
    Parse session id in URL.
 protected  void parseSessionId(Request req,
    Request request) 
    Parse session id in URL.
 protected boolean postParseRequest(Request req,
    Request request,
    Response res,
    Response response) throws Exception 
    Parse additional request parameters.
 public  void service(Request req,
    Response res) throws Exception 
    Service method.